Skip to main content
POST
/
unstable
/
payment-methods
/
{paymentMethodId}
/
agentic-enrollment
Create Agentic Enrollment
curl --request POST \
  --url https://staging.crossmint.com/api/unstable/payment-methods/{paymentMethodId}/agentic-enrollment \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <x-api-key>' \
  --data '
{
  "email": "jsmith@example.com"
}
'
{
  "enrollmentId": "enr_8d6a4b1f-9c8a-4cba-b2c1-3a5b8c0d6f12",
  "status": "pending",
  "verificationConfig": {
    "environment": "production",
    "publicApiKey": "key_publicSomething"
  }
}
This endpoint requires a JWT from an external auth provider (Auth0, Firebase, Stytch, etc.) or a custom JWT backed by a JWKS endpoint. Crossmint Auth is not supported.

Headers

X-API-KEY
string
required

API key required for authentication

Path Parameters

paymentMethodId
string
required

Body

application/json
email
string<email>
Pattern: ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$

Response

201 - application/json

The agentic enrollment has been successfully created

enrollmentId
string
required
status
enum<string>
required
Available options:
active